Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.operations.vcs
Interface VcsStatus

All Superinterfaces:
  FileOperation

public interface VcsStatus
extends FileOperation

todo: add class description here

Since:
  0.1
Author:
  Siarhei Baidun

Field Summary
`static int` | `ADDED`
`static int` | `CONFLICTED`
`static int` | `COPIED`
`static int` | `CORRUPTED`
`static int` | `DELETED`
`static int` | `EXTERNAL`
`static int` | `IGNORED`
`static int` | `MERGED`
`static int` | `MISSING`
`static int` | `MODIFIED`
`static int` | `MOVED`
`static int` | `NOT_MODIFIED`
`static int` | `NOT_REVERTED`
`static int` | `OBSTRUCTED`
`static int` | `REPLACED`
`static int` | `RESOLVED`
`static int` | `RESTORED`
`static int` | `REVERTED`
`static int` | `UNKNOWN`
`static int` | `UNVERSIONED`
`static int` | `UPDATED`

Method Summary
`int` | `getStatus()`

Methods inherited from interface org.apache.commons.vfs.operations.FileOperation
`process`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### NOT_MODIFIED

    public static final int NOT_MODIFIED

See Also:
  Constant Field Values

### ADDED

    public static final int ADDED

See Also:
  Constant Field Values

### CONFLICTED

    public static final int CONFLICTED

See Also:
  Constant Field Values

### DELETED

    public static final int DELETED

See Also:
  Constant Field Values

### MERGED

    public static final int MERGED

See Also:
  Constant Field Values

### IGNORED

    public static final int IGNORED

See Also:
  Constant Field Values

### MODIFIED

    public static final int MODIFIED

See Also:
  Constant Field Values

### REPLACED

    public static final int REPLACED

See Also:
  Constant Field Values

### UNVERSIONED

    public static final int UNVERSIONED

See Also:
  Constant Field Values

### MISSING

    public static final int MISSING

See Also:
  Constant Field Values

### OBSTRUCTED

    public static final int OBSTRUCTED

See Also:
  Constant Field Values

### REVERTED

    public static final int REVERTED

See Also:
  Constant Field Values

### RESOLVED

    public static final int RESOLVED

See Also:
  Constant Field Values

### COPIED

    public static final int COPIED

See Also:
  Constant Field Values

### MOVED

    public static final int MOVED

See Also:
  Constant Field Values

### RESTORED

    public static final int RESTORED

See Also:
  Constant Field Values

### UPDATED

    public static final int UPDATED

See Also:
  Constant Field Values

### EXTERNAL

    public static final int EXTERNAL

See Also:
  Constant Field Values

### CORRUPTED

    public static final int CORRUPTED

See Also:
  Constant Field Values

### NOT_REVERTED

    public static final int NOT_REVERTED

See Also:
  Constant Field Values

Method Detail

### getStatus

    public int getStatus()

  Returns:
    the status of FileObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.